.showcaser-trap-scroll {
    overflow: hidden;
}
/* Header + Footer common animation */
#toppanel,
#footerBar {
    transition: 
        opacity 0.25s ease,
        transform 0.25s ease;
    opacity: 1;
}
/* Toggle container */
.ui-toggle {
    position: fixed;
    top: 97px;               /* header ke niche */
    left: 50%;
    transform: translateX(-60%);
    z-index: 9999;
    transition: top 0.3s ease;
    cursor: pointer;
}

/* image styling */
/* #uiToggleImg {
    width: 28px;
    height: auto;
} */


#titleDivToggle {
    width: 36px;
    height: 36px;
    padding: 0;
    border-radius: 8px;
    border: none;
    background-color: #FA8829;

    display: flex;
    align-items: center;
    justify-content: center;
}


#uiToggleImg {
    width: 18px;
    height: 18px;
}



/* jab header hide ho */
.hide-ui-toggle {
    top: 5px;               /* bilkul upar chipak jaaye */
}

/* header hide animation */
.hide-header {
    transform: translateY(-100%);
    transition: transform 0.4s ease;
}

/* footer hide animation */
.hide-footer {
    transform: translateY(100%);
    transition: transform 0.4s ease;
}

/* Header hide → upar slide */
.hide-header {
    opacity: 0;
    transform: translateY(-100%);
    /* pointer-events: none; */
}

/* Footer hide → neeche slide */
.hide-footer {
    opacity: 0;
    transform: translateY(100%);
    pointer-events: none;
}

.showcaser-container {
    position: fixed;
    opacity: 0;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 9999999;
}

.showcaser-container.showcaser-container-delay {
    transition: opacity .25s ease-in-out;
}

.showcaser {
    position: absolute;
    animation: blink 1s infinite;
}

.showcaser.showcaser-full-screen {
    width: 0;
    height: 0;
    left: 50%;
    top: 50%;
    border: none;
}

.showcaser-text-container {
    position: fixed;
    width: 32em;
    max-width: 75vw;
}

.showcaser-text-container.right {
    left: 100%;
    padding-left: 2em;
}

.showcaser-text-container.center {
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
}

.showcaser-text-container.left {
    text-align: right;
    right: 100%;
    padding-right: 2em;
}

.showcaser-text-container.bottom {
    top: 100%;
    padding-top: 2em;
}

.showcaser-text-container.top {
    top: 0;
    transform: translateY(-100%);
    padding-bottom: 1em;
}

.showcaser-text-container.middle {
    top: 50%;
    transform: translateY(-50%);
}

.showcaser-text-container.center.middle {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.showcaser-text-container.center.top {
    top: 0;
    left: 50%;
    transform: translate(-50%, -100%);
}

.showcaser.showcaser-full-screen .showcaser-text-container {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.showcaser-text {
    color: white;
    font-size: 1.2em;
    letter-spacing: 0.05em;
}

.showcaser-button-container {
    position: fixed;
    bottom: 75px;
    width: 100%;
    padding: 0 20px 0 15px;
}

.showcaser-button {
    color: #fff;
    font-size: 1em;
    font-weight: 500;
    float:right;
}

.showcaser-button:hover {
    background-color: rgba(158, 158, 158, .2);
}

.showcaser-button:focus:not(:active) {
    background-color: rgba(0, 0, 0, .12);
}

.showcaser-button:active {
    background-color: rgba(158, 158, 158, .4);
}

	 {
    color: #fff;
    font-size: 1em;
    font-weight: 500;
    float:left;
}

.showcaser-text-container.left .showcaser-skip {
    right: 100%;
    left: initial;
}
#swipe {
    position: absolute;
    z-index: 10;
    width: 100%;
    top: 35%;
    text-align: center;
}
    /*#swipe img {
        width: 200px;
    }*/
#swipeVertical {
    position: absolute;
    z-index: 10;
    height: 70%;
    bottom: 18%;
    text-align: center;
}

#modelbookview {
    text-align:center;
}
    #modelbookview .modal-dialog{top:125px;}
    #modelbookview .close {
        right: 8px;
        position: absolute;
        top: 4px;
        cursor: pointer;
        z-index:999999999;
    }

    #modelbookview .modal-body p {
        font-size: 20px;
        font-weight: 500;
    }

 

    #modelbookview .modal-body {
        padding: 20px 20px 30px;
    }

 

    #modelbookview .bookview_1 {
        margin-right: 20px;
    }

 

    #modelbookview img {
        border: 1px solid #ccc;
        padding: 7px;
        border-radius: 3px;
    }

 

        #modelbookview img:hover {
            border-color: orange;
        }


#modelview {
    text-align: center;
}
    #modelview .modal-dialog {
        top: 125px;
    }
    #modelview .close {
        right: 10px;
        position: absolute;
        top: 5px;
        cursor: pointer;
        z-index: 999999999;
    }
    
    

    

    #modelview img {
        border: 1px solid #ccc;
       /* padding: 7px;*/
        border-radius: 3px;
    }

        #modelview img:hover {
            border-color: orange;
        }

.autoscroll {
    max-width: 55px;
    position: absolute;
    z-index: 99999999999999;
    bottom: 55px;
    right: 5px;
}

@keyframes blink{
    0%{
        border-radius: 15px;
    }
    25% {
        border-radius: 20px;
    }
    50% {
        border-radius: 25px;
    }
    75% {
        border-radius: 20px;
    }
    100% {
        border-radius: 15px;
    }
}

.xyz:after {
    content: "";
    display: block;
    position: absolute;
    border-radius: 4em;
 
    
    opacity: 0;
    transition: all 0.5s;
    box-shadow: 0 0 50px 40px white;
}

.xyz:active:after {
    box-shadow: 0 0 0 0 white;
    position: absolute;
    border-radius: 4em;
    left: 0;
    top: 0;
    opacity: 1;
    transition: 0s;
}

@media only screen and (min-device-width : 320px) and (max-device-width : 480px) {
    #modelview .modal-body {
        padding: 20px 20px 30px;
        width: 310px;
    }
    #modelview .bookview_1 {
        margin-right: 20px;
    }
}


@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) {
    #modelview .modal-body {
        padding: 10px 20px 30px;
        width: 400px;
    }
    #modelview .bookview_1 {
        margin-right: 40px;
    }
}


